import java.awt.*;
import java.awt.Image;
import java.net.*;

class SLampe extends Lampe{
// Attribute
	Ampelanlage A;
	Image kBild;

// Konstruktor
	public SLampe (int x, int y, Color farbe, String name, Ampelanlage A){
		super(x,y,farbe);
		this.A=A;
		kBild=A.getImage(name);
	}

	public void an(Graphics g){
		super.an(g);
		A.zeichneBild(kBild,x,y);
	}
}
